#{extends 'border.html'/}
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{prakatalog.PenawaranCtr.index()}">&{'daftar_penawaran.label'}</a></li>
				<li class="active">&{'cetak.label'} BA &{'hasil_evaluasi.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>


    <div class="row">
        <div class="panel panel-default">
            <div class="panel-heading"><h5>&{'berita_acara.label'}</h5></div>
            <ul class="nav nav-tabs" role="tablist">
                <li role="presentation" class="active">
                    <a href="#listbaevaluasi" aria-controls="group-role" role="tab" data-toggle="tab">&{'daftar.label'} BA &{'evaluasi.label'}</a>
                </li>
                <li role="presentation">
                    <a href="#listbapembuktian" aria-controls="group-role" role="tab" data-toggle="tab">&{'daftar.label'} BA &{'pembuktian.label'}</a>
                </li>
                <li role="presentation">
                    <a href="#baevaluasi" aria-controls="group-role" role="tab" data-toggle="tab">&{'form.label'} BA &{'evaluasi.label'}</a>
                </li>
                <li role="presentation">
                    <a href="#baepembuktian" aria-controls="group-role" role="tab" data-toggle="tab">&{'form.label'} BA &{'pembuktian.label'}</a>
                </li>
            </ul>

            <div class="tab-content">
                <div role="tabpanel" class="tab-pane active" id="listbaevaluasi">
                    <div class="row">
                        <div class="col-md-12">
                        #{alert /}
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <!-- Data Table -->
                                    <table class="table table-striped" id="tblBAEvaluasi">
                                        <thead>
                                        <tr>
                                            <th>&{'nomor.label'}</th>
                                            <th>&{'nama_dokumen.label'}</th>
                                            <th>&{'status.label'}</th>
                                            <th>&{'tanggal_buat.label'}</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                    </table>
                                    <!-- End Data Table -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane" id="listbapembuktian">
                    <div class="row">
                        <div class="col-md-12">
                        #{alert /}
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <!-- Data Table -->
                                    <table class="table table-striped" id="tblBAPembuktian">
                                        <thead>
                                        <tr>
                                            <th>&{'nomor.label'}</th>
                                            <th>&{'nama_dokumen.label'}</th>
                                            <th>&{'status.label'}</th>
                                            <th>&{'tanggal_buat.label'}</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                    </table>
                                    <!-- End Data Table -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane" id="baevaluasi">
                #{include 'prakatalog/PenawaranCtr/formBAEvaluasi.html'/}
                <div role="tabpanel" class="tab-pane" id="baepembuktian">
                #{include 'prakatalog/PenawaranCtr/formBAPembuktian.html'/}
                </div>
            </div>

        </div>
    </div>


</div>

#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function(){
    $(".datetimepicker").datetimepicker({
        locale:'id',
        format:'DD-MM-YYYY HH:mm'
    });

    $("#tblBAEvaluasi").dataTable({
            ajax : {
                url : "@{DataTableCtr.cariDokumenUpload()}",
                cache : true,
                data: {
                    penawaran_id: "${penawaran.id}",
                    penyedia_id: "${penyedia.id}",
                    kategori_id: "${dataBAEvaluasi?.dokumen_kategori_id}"
                }
            },
            order : [ [0, "desc"] ],
            columns :[
                {
                    "searchable" : false, "className": "header-center",
                    render : function (data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
                {"searchable" : true},
                {"searchable" : false, "className": "header-center"},
                {"searchable" : false, "className": "header-center"},
                {"searchable" : false, "className": "header-center"}
            ]
        });

        $("#tblBAPembuktian").dataTable({
            ajax : {
                url : "@{DataTableCtr.cariDokumenUpload()}",
                cache : true,
                data: {
                    penawaran_id: "${penawaran.id}",
                    penyedia_id: "${penyedia.id}",
                    kategori_id: "${dataBAPembuktian?.dokumen_kategori_id}"
                }
            },
            order : [ [0, "desc"] ],
            columns :[
                {
                    "searchable" : false, "className": "header-center",
                    render : function (data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
                {"searchable" : true},
                {"searchable" : false, "className": "header-center"},
                {"searchable" : false, "className": "header-center"},
                {"searchable" : false, "className": "header-center"}
            ]
        });

    $("#tambahAdministrasi").on('click', function () {
        var formInput = '<div class="form-group">' +
                '<label class="col-md-2 control-label"></label>' +
                '<div class="col-md-3">'+
                '<input type="text" class="form-control" name="dok.namaDokAdmTambahan[]" placeholder="nama"/>'+
                '</div>'+
                '<div class="col-md-3">'+
                '<select name="dok.hasilPembuktianAdmTambahan[]" class="form-control">'+
                '<option>-- Pilih Hasil Pembuktian --</option>'+
                '<option value="Sesuai">Sesuai</option>'+
                '<option value="Tidak Sesuai" >Tidak Sesuai</option></select>'+
                '</div>'+
                '<div class="col-md-3">'+
                '<input type="text" class="form-control" name="dok.hasilDokAdmTambahan[]" placeholder="no/tgl/dsb" />'+
                '</div></div>';

        $('#dokumenTambahan').append(formInput);
    });

        $("#tambahAdministrasiPem").on('click', function () {
            var formInput = '<div class="form-group">' +
                    '<label class="col-md-2 control-label"></label>' +
                    '<div class="col-md-3">'+
                    '<input type="text" class="form-control" name="dok.namaDokAdmTambahan[]" placeholder="nama"/>'+
                    '</div>'+
                    '<div class="col-md-3">'+
                    '<select name="dok.hasilPembuktianAdmTambahan[]" class="form-control">'+
                    '<option>-- Pilih Hasil Pembuktian --</option>'+
                    '<option value="Sesuai">Sesuai</option>'+
                    '<option value="Tidak Sesuai" >Tidak Sesuai</option></select>'+
                    '</div>'+
                    '<div class="col-md-3">'+
                    '<input type="text" class="form-control" name="dok.hasilDokAdmTambahan[]" placeholder="no/tgl/dsb" />'+
                    '</div></div>';

            $('#dokumenTambahanPem').append(formInput);
        });


    $("#tambahTim").on('click', function () {
        var formInput = '<div class="form-group">' +
                '<label class="col-md-2 control-label"></label>\n' +
                '<div class="col-md-3">\n' +
                '<select name="dok.namaTimKatalog[]" class="form-control select2">\n' +
                '<option>-- Pilih Pokja --</option>\n' +
                '#{list pokjaList, as:'pl'}\n'+
                    '<option value="${pl.nama_lengkap}">${pl.nama_lengkap}\n'+
                '</option> \n' +
                    '  #{/list}\n' +
                '</select></div>\n' +
                '<div class="col-md-3">\n' +
                '<input type="text" class="form-control" name="dok.jabatanTimKatalog[]" placeholder="jabatan"/>\n' +
                '</div></div>';

        $('#timKatalog').append(formInput);
    });

        $("#tambahTimPem").on('click', function () {
            var formInput = '<div class="form-group">' +
                    '<label class="col-md-2 control-label"></label>\n' +
                    '<div class="col-md-3">\n' +
                    '<select name="dok.namaTimKatalog[]" class="form-control select2">\n' +
                    '<option>-- Pilih Pokja --</option>\n' +
                    '#{list pokjaList, as:'pl'}\n'+
                        '<option value="${pl.nama_lengkap}">${pl.nama_lengkap}\n'+
                        '</option> \n' +
                        '  #{/list}\n' +
                    '</select></div>\n' +
                    '<div class="col-md-3">\n' +
                    '<input type="text" class="form-control" name="dok.jabatanTimKatalog[]" placeholder="jabatan"/>\n' +
                    '</div></div>';

            $('#timKatalogPem').append(formInput);
        });

    $("#tambahTimPenyedia").on('click', function () {
        var formInput = '<div class="form-group">' +
                '<label class="col-md-2 control-label"></label>' +
                '<div class="col-md-3">'+
                '<input type="text" class="form-control" name="dok.namaTimPenyedia[]" placeholder="nama" />'+
                '</div>'+
                '<div class="col-md-3">'+
                '<input type="text" class="form-control" name="dok.jabatanTimPenyedia[]" placeholder="jabatan" />'+
                '</div></div>';

        $('#timPenyedia').append(formInput);
    });

        $("#tambahTimPenyediaPem").on('click', function () {
            var formInput = '<div class="form-group">' +
                    '<label class="col-md-2 control-label"></label>' +
                    '<div class="col-md-3">'+
                    '<input type="text" class="form-control" name="dok.namaTimPenyedia[]" placeholder="nama" />'+
                    '</div>'+
                    '<div class="col-md-3">'+
                    '<input type="text" class="form-control" name="dok.jabatanTimPenyedia[]" placeholder="jabatan" />'+
                    '</div></div>';

            $('#timPenyediaPem').append(formInput);
        });


    if(${isJsonBAEvaluasi}) {
            var JSONBAEvaluasi = ${jsonBAEvaluasi.raw()};

            $('#nomorSurat').val(JSONBAEvaluasi.data_evaluasi.nomorSurat);
            $('#tanggalForm').val(JSONBAEvaluasi.data_evaluasi.tanggalForm);

            $.each(JSONBAEvaluasi.data_evaluasi.dokumen_kualifikasi, function (index, nilai) {
                $('#' + index).val(nilai.nilai_dokumen);
                $('#pembuktian_dokkualifikasi_' + index).val(nilai.hasil_pembuktian);
            });

            $.each(JSONBAEvaluasi.data_evaluasi.dokumen_administrasi, function (index, nilai) {
                $('#pembuktian_dokadm_' + index).val(nilai.hasil_pembuktian);
                $('#nilai_dokadm_' + index).val(nilai.nilai_dokumen);
            });

            $.each(JSONBAEvaluasi.data_evaluasi.dokumen_harga, function (index, nilai) {
                $('#pembuktian_dokharga_' + index).val(nilai.hasil_pembuktian);
                $('#nilai_dokharga_' + index).val(nilai.nilai_dokumen);
            });

            $.each(JSONBAEvaluasi.data_evaluasi.dokumen_teknis, function (index, nilai) {
                $('#pembuktian_dokteknis_' + index).val(nilai.hasil_pembuktian);
                $('#nilai_dokteknis_' + index).val(nilai.nilai_dokumen);
            });

            $('#dokumenTambahan').html("");
            var i = 0;
            $.each(JSONBAEvaluasi.data_evaluasi.dokumen_administrasi_tambahan, function (index, nilai) {

                var label = '';
                if(i===0){
                    label = 'Evaluasi Administrasi Tambahan';
                }

                var formInput = '<div class="form-group">' +
                        '<label class="col-md-2 control-label">'+label+'</label>' +
                        '<div class="col-md-3">' +
                        '<input type="text" class="form-control" name="dok.namaDokAdmTambahan[]" placeholder="nama" value="' + nilai.nama_dokumen + '"/>' +
                        '</div>' +
                        '<div class="col-md-3">' +
                        '<select name="dok.hasilPembuktianAdmTambahan[]" class="form-control" id="pembuktian_dokadm_tamb_' + index + '">' +
                        '<option>-- Pilih Hasil Pembuktian --</option>' +
                        '<option value="Sesuai">Sesuai</option>' +
                        '<option value="Tidak Sesuai" >Tidak Sesuai</option></select>' +
                        '</div>' +
                        '<div class="col-md-3">' +
                        '<input type="text" class="form-control" name="dok.hasilDokAdmTambahan[]" placeholder="no/tgl/dsb" value="' + nilai.nilai_dokumen + '"/> ' +
                        '</div></div>';

                $('#dokumenTambahan').append(formInput);
                $('#pembuktian_dokadm_tamb_' + index).val(nilai.hasil_pembuktian);
                i++;

            });


            $('#timKatalog').html("");
            var j = 0;
            $.each(JSONBAEvaluasi.data_evaluasi.tim_katalog, function (index, nilai) {
                var label = '';
                if(j===0){
                    label = 'Tim Katalog';
                }

                var formInput = '<div class="form-group">' +
                        '<label class="col-md-2 control-label">'+label+'</label>' +
                        '<div class="col-md-3">\n' +
                        '<select name="dok.namaTimKatalog[]" class="form-control select2" id="nama_tim_katalog_' + index + '">' +
                        '<option>-- Pilih Pokja --</option>\n' +
                        '#{list pokjaList, as:'pl'}\n'+
                            '<option value="${pl.nama_lengkap}">${pl.nama_lengkap}\n' +
                            '</option> \n' +
                            '  #{/list}\n' +
                        '</select></div>\n' +
                        '<div class="col-md-3">\n' +
                        '<input type="text" class="form-control" name="dok.jabatanTimKatalog[]" placeholder="jabatan" id="nama_jabatan_' + index + '"/>\n' +
                        '</div></div>';

                $('#timKatalog').append(formInput);
                $('#nama_tim_katalog_' + index).val(nilai.nama);
                $('#nama_jabatan_' + index).val(nilai.jabatan);
                j++;

            });

            $('#timPenyedia').html("");
            var k = 0;
            $.each(JSONBAEvaluasi.data_evaluasi.tim_penyedia, function (index, nilai) {
                var label = '';
                if(k===0){
                    label = 'Tim Penyedia';
                }
                var formInput = '<div class="form-group">' +
                        '<label class="col-md-2 control-label">'+label+'</label>' +
                        '<div class="col-md-3">' +
                        '<input type="text" class="form-control" name="dok.namaTimPenyedia[]" placeholder="nama" id="nama_penyedia_' + index + '" />' +
                        '</div>' +
                        '<div class="col-md-3">' +
                        '<input type="text" class="form-control" name="dok.jabatanTimPenyedia[]" placeholder="jabatan" id="jabatan_penyedia_' + index + '" />' +
                        '</div></div>';

                $('#timPenyedia').append(formInput);
                $('#nama_penyedia_' + index).val(nilai.nama);
                $('#jabatan_penyedia_' + index).val(nilai.jabatan);
                k++;

            });
        }

        if(${isJsonBAPembuktian}) {
            var JSONBAPembuktian = ${jsonBAPembuktian.raw()};
            $('#nomorSuratPem').val(JSONBAPembuktian.data_evaluasi.nomorSurat);
            $('#tanggalFormPem').val(JSONBAPembuktian.data_evaluasi.tanggalForm);

            $.each(JSONBAPembuktian.data_evaluasi.dokumen_kualifikasi, function (index, nilai) {
                if(nilai.hasil_pembuktian ==='Lulus' || nilai.hasil_pembuktian ==="Tidak Lulus" ){
                    $('#pembuktian_dokkualifikasipem_' + index).val(nilai.hasil_pembuktian);
                }
                $('#pem_' + index).val(nilai.nilai_dokumen);
            });

            $.each(JSONBAPembuktian.data_evaluasi.dokumen_administrasi, function (index, nilai) {
                if(nilai.hasil_pembuktian ==='Lulus' || nilai.hasil_pembuktian ==="Tidak Lulus" ) {
                    $('#pembuktian_dokadmpem_' + index).val(nilai.hasil_pembuktian);
                }
                $('#nilai_dokadmpem_' + index).val(nilai.nilai_dokumen);

            });

            $.each(JSONBAPembuktian.data_evaluasi.dokumen_harga, function (index, nilai) {
                if(nilai.hasil_pembuktian ==='Lulus' || nilai.hasil_pembuktian ==="Tidak Lulus" ) {
                    $('#pembuktian_dokhargapem_' + index).val(nilai.hasil_pembuktian);
                }
                $('#nilai_dokhargapem_' + index).val(nilai.nilai_dokumen);
            });

            $.each(JSONBAPembuktian.data_evaluasi.dokumen_teknis, function (index, nilai) {
                if(nilai.hasil_pembuktian ==='Lulus' || nilai.hasil_pembuktian ==="Tidak Lulus" ) {
                    $('#pembuktian_dokteknispem_' + index).val(nilai.hasil_pembuktian);
                }
                $('#nilai_dokteknispem_' + index).val(nilai.nilai_dokumen);
            });

            $('#dokumenTambahanPem').html("");
            var l = 0;
            $.each(JSONBAPembuktian.data_evaluasi.dokumen_administrasi_tambahan, function (index, nilai) {

                var label = '';
                if(l===0){
                    label = 'Evaluasi Administrasi Tambahan';
                }

                var formInput = '<div class="form-group">' +
                        '<label class="col-md-2 control-label">'+label+'</label>' +
                        '<div class="col-md-3">' +
                        '<input type="text" class="form-control" name="dok.namaDokAdmTambahan[]" placeholder="nama" value="' + nilai.nama_dokumen + '"/>' +
                        '</div>' +
                        '<div class="col-md-3">' +
                        '<select name="dok.hasilPembuktianAdmTambahan[]" class="form-control" id="pembuktian_dokadm_tamb_pem_' + index + '">' +
                        '<option>-- Pilih Hasil Pembuktian --</option>' +
                        '<option value="Lulus">Lulus</option>' +
                        '<option value="Tidak Lulus" >Tidak Lulus</option></select>' +
                        '</div>' +
                        '<div class="col-md-3">' +
                        '<input type="text" class="form-control" name="dok.hasilDokAdmTambahan[]" placeholder="no/tgl/dsb" value="' + nilai.nilai_dokumen + '"/> ' +
                        '</div></div>';

                $('#dokumenTambahanPem').append(formInput);

                if(nilai.hasil_pembuktian ==='Lulus' || nilai.hasil_pembuktian ==="Tidak Lulus" ) {
                    $('#pembuktian_dokadm_tamb_pem_' + index).val(nilai.hasil_pembuktian);
                }
                l++;

            });

            $('#timKatalogPem').html("");
            var j = 0;
            $.each(JSONBAPembuktian.data_evaluasi.tim_katalog, function (index, nilai) {
                var label = '';
                if(j===0){
                    label = 'Tim Katalog';
                }

                var formInput = '<div class="form-group">' +
                        '<label class="col-md-2 control-label">'+label+'</label>' +
                        '<div class="col-md-3">\n' +
                        '<select name="dok.namaTimKatalog[]" class="form-control select2" id="nama_tim_katalog_pem_' + index + '">' +
                        '<option>-- Pilih Pokja --</option>\n' +
                        '#{list pokjaList, as:'pl'}\n'+
                            '<option value="${pl.nama_lengkap}">${pl.nama_lengkap}\n' +
                            '</option> \n' +
                            '  #{/list}\n' +
                        '</select></div>\n' +
                        '<div class="col-md-3">\n' +
                        '<input type="text" class="form-control" name="dok.jabatanTimKatalog[]" placeholder="jabatan" id="nama_jabatan_pem_' + index + '"/>\n' +
                        '</div></div>';

                $('#timKatalogPem').append(formInput);
                $('#nama_tim_katalog_pem_' + index).val(nilai.nama);
                $('#nama_jabatan_pem_' + index).val(nilai.jabatan);
                j++;

            });

            $('#timPenyediaPem').html("");
            var k = 0;
            $.each(JSONBAPembuktian.data_evaluasi.tim_penyedia, function (index, nilai) {
                var label = '';
                if(k===0){
                    label = 'Tim Penyedia';
                }
                var formInput = '<div class="form-group">' +
                        '<label class="col-md-2 control-label">'+label+'</label>' +
                        '<div class="col-md-3">' +
                        '<input type="text" class="form-control" name="dok.namaTimPenyedia[]" placeholder="nama" id="nama_penyedia_pem_' + index + '" />' +
                        '</div>' +
                        '<div class="col-md-3">' +
                        '<input type="text" class="form-control" name="dok.jabatanTimPenyedia[]" placeholder="jabatan" id="jabatan_penyedia_pem_' + index + '" />' +
                        '</div></div>';

                $('#timPenyediaPem').append(formInput);
                $('#nama_penyedia_pem_' + index).val(nilai.nama);
                $('#jabatan_penyedia_pem_' + index).val(nilai.jabatan);
                k++;

            });



        }


    });



</script>
#{/set}